<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myFacilityLabel" jhiTranslate="mpmApp.facility.home.createOrEditLabel">Create or edit a Facility</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!facility.idFacility">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="facility.idFacility" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.facility.facilityCode" for="field_facilityCode">Facility Code</label>
                    <input type="text" class="form-control" name="facilityCode" id="field_facilityCode"
                        [(ngModel)]="facility.facilityCode" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.facility.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="facility.description" />
                </div>

                <div class="form-group" *ngIf="idFacilityType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.facility.facilityType" for="field_facilityType">Facility Type</label>
                    <select class="form-control" id="field_facilityType" name="facilityType" [(ngModel)]="facility.facilityTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="facilityTypeOption.idFacilityType" *ngFor="let facilityTypeOption of facilitytypes; trackBy: trackFacilityTypeById">{{facilityTypeOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idPartOf === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.facility.partOf" for="field_partOf">Part Of</label>
                    <select class="form-control" id="field_partOf" name="partOf" [(ngModel)]="facility.partOfId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.dateFrom" for="field_dateFrom">Date From</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="facility.dateFrom"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true" [disabled]="facility.completed"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.dateThru" for="field_dateThru">Date Thru</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="facility.dateThru"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true" [minDate]="dateNow"
                            [showIcon]="true" [disabled]="facility.completed"></p-calendar>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
